# Graphics

## Overview&#x20;

The Graphics Options offer a number of customization points for colors and the display of certain elements in World Creator's viewport.

## Parameters

### Renderer

<table><thead><tr><th width="219.89990234375">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Limit Renderer Samples</strong></td><td>Limits the number of samples taken for each frame. Usually with path tracing, a frame is rendered many times to create an image with a reduced amount of noise. Limiting this increases performance but lowers render quality.</td></tr></tbody></table>

### Heatmap

<table><thead><tr><th width="219.9000244140625">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Heatmap Fill</strong></td><td>The color that is displayed when the heatmap is activated.</td></tr></tbody></table>

### Area

<table><thead><tr><th width="219.89990234375">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Area Fill</strong></td><td>Changes the color of areas and masks when you show them on your terrain.</td></tr></tbody></table>

### Topomap

<table><thead><tr><th width="219.9000244140625">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Color Gradient</strong></td><td>The gradient used for coloring the topomap.</td></tr><tr><td><strong>Gradient Range</strong></td><td>The height range over which the gradient will be applied.</td></tr><tr><td><strong>Topo Line Color</strong></td><td>The color of the topo lines.</td></tr><tr><td><strong>Topo Main Line Distance</strong></td><td>The height distance between individual topo lines.</td></tr><tr><td><strong>Topo Sub Line Count</strong></td><td>The number of sub lines between main topo lines.</td></tr><tr><td><strong>Topo Line Thickness</strong></td><td>The thickness of the topo lines.</td></tr></tbody></table>

### Textured Fast Render

<table><thead><tr><th width="219.89990234375">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Background Color</strong></td><td>The background color that is used in the textured fast render mode.</td></tr><tr><td><strong>Grid Color</strong></td><td>The color of the grid in the textured fast render mode.</td></tr></tbody></table>

### Shape Design Mode

<table><thead><tr><th width="219.89990234375">Properties</th><th>Description</th></tr></thead><tbody><tr><td><strong>Background Color</strong></td><td>The background color that is used in the shape design mode.</td></tr><tr><td><strong>Grid Color</strong></td><td>The color of the grid in the shape design mode.</td></tr><tr><td><strong>Matcap</strong></td><td>Allows you to specify the matcap used for rendering.</td></tr></tbody></table>

### Terrain Grid

| Properties               | Description                                             |
| ------------------------ | ------------------------------------------------------- |
| **Color 0**              | The color of the first checker box.                     |
| **Color 1**              | The color of the second checker box.                    |
| **Color Detail**         | The color of the detail subgrid cells.                  |
| **Main Grid Visibility** | Changes the transparency of the main grid lines.        |
| **Sub Grid Visibility**  | Changes the transparency of the sub-grid lines.         |
| **Main Grid Distance**   | The scale of the grid.                                  |
| **Sub Grid Division**    | The number of subdivisions between the main grid cells. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.world-creator.com/reference/options/graphics.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
